
<div class="animated fadeIn">
   <div class="row">
    <div class="col-lg-12">
      <div class="card">
        <div class="card-header">
          <i class="fa fa-align-justify"></i><b> Upcoming Events</b>
        </div>
        <div class="card-body">
            <form action="" method="post">
                <div class="form-group">
                  <div class="input-group">
                    <span class="input-group-addon"><i class="fa fa-building"></i></span>
                    <input
                    id="typeahead-focus"
                    type="text"
                    name="search"
                    placeholder="Type in building name"
                    class="form-control form-control-sm"
                    [(ngModel)]="clubToSearch"
                    [ngbTypeahead]="search"
                    (focus)="focus$.next($event.target.value)"
                    (click)="click$.next($event.target.value)"
                    #instance="ngbTypeahead"/>
                    <button type="submit" (click)="searchEvent($event)" class="btn btn-sm btn-success">Search</button>
                  </div>
                </div>
              </form>

          <table class="table table-bordered table-striped table-sm">
            <thead>
              <tr>
                <th>Name</th> 
                <th>Date</th>
                <th>Time</th>
                <th width="30%">Feedback</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let event of events; let i = index">
                <td>{{event.name}}</td>
                <td>{{event.date}}</td>
                <td>{{event.start}} - {{event.end}}</td>
                <td width="30%">
                      <!--<div *ngIf="!event.presence" class="btn btn-link btn-sm">
                           <a [routerLink]="['/instructor/feedback-form']" [queryParams]="{capacity:event.capacity, eventType:event.eventType, clubName:clubToSearch,eventId:event.eventId,eventName:event.name,start:event.start,end:event.end,date:event.date}">Add Feedback</a>
                      </div>--> 
                      <div class="btn btn-link btn-sm"> 
                        <a [routerLink]="['/instructor/feedback-form']" [queryParams]="{capacity:event.capacity, eventType:event.eventType, clubName:clubToSearch,eventId:event.eventId,eventName:event.name,start:event.start,end:event.end,date:event.date}">Instructor Feedback</a>
                      </div> 
                </td>
              </tr>
            </tbody>  
          </table>
          <!--
          <nav>
            <ul class="pagination">
              <li class="page-item"><a class="page-link" href="#">Prev</a></li>
              <li class="page-item active">
                <a class="page-link" href="#">1</a>
              </li>
              <li class="page-item"><a class="page-link" href="#">2</a></li>
              <li class="page-item"><a class="page-link" href="#">3</a></li>
              <li class="page-item"><a class="page-link" href="#">4</a></li>
              <li class="page-item"><a class="page-link" href="#">Next</a></li>
            </ul>
          </nav>
        -->
        </div>
      </div>
    </div>
    <!--/.col-->
  </div>
  <!--/.row-->

</div>
